### Name: extract_plot
### Title: Extraction of Biclusters and Plotting of the Results
### Aliases: extract_plot
### Keywords: hplot

### ** Examples


#---------------
# TEST
#---------------

dat <- make_fabi_data_blocks(n = 100,l= 50,p = 3,f1 = 5,f2 = 5,
  of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
  sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)

X <- dat[[1]]
Y <- dat[[2]]
X <- X- rowMeans(X)
XX <- (1/ncol(X))*tcrossprod(X)
dXX <- 1/sqrt(diag(XX)+0.001*as.vector(rep(1,nrow(X))))
X <- dXX*X


resEx <- fabia(X,20,0.3,1.0,1.0,3)

rEx <- extract_plot(X,resEx$L,resEx$Z,ti="FABIA",Y=Y,x11b=FALSE)

rEx$bic[1,]
rEx$bic[2,]
rEx$bic[3,]
rEx$biclust[1,]
rEx$biclust[2,]
rEx$biclust[3,]

## Not run: 
##D #---------------
##D # DEMO1
##D #---------------
##D 
##D dat <- make_fabi_data_blocks(n = 1000,l= 100,p = 10,f1 = 5,f2 = 5,
##D   of1 = 5,of2 = 10,sd_noise = 3.0,sd_z_noise = 0.2,mean_z = 2.0,
##D   sd_z = 1.0,sd_l_noise = 0.2,mean_l = 3.0,sd_l = 1.0)
##D 
##D X <- dat[[1]]
##D Y <- dat[[2]]
##D 
##D resToy <- fabia(X,200,0.4,1.0,1.0,13)
##D 
##D rToy <- extract_plot(X,resToy$L,resToy$Z,ti="FABIA",Y=Y)
##D 
##D #---------------
##D # DEMO2
##D #---------------
##D 
##D data(Breast_A)
##D 
##D X <- as.matrix(XBreast)
##D 
##D resBreast <- fabia(X,200,0.1,1.0,1.0,5)
##D 
##D rBreast <- extract_plot(X,resBreast$L,resBreast$Z,ti="FABIA Breast cancer(Veer)")
##D 
##D #sorting of predefined labels
##D CBreast
## End(Not run)



